Bug 193108 - Review Request: libsexymm
Review Request: libsexymm
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-25 06:55 EDT by Haïkel Guémar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 05:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Haïkel Guémar 2006-05-26 10:38:40 EDT
wrong spec file URL:
http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SPECS/libsexymm.spec
Comment 2 Kevin Fenzi 2006-08-12 14:47:43 EDT
Greetings. Here's a review:

OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (LGPL)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
cb01af4595000d9e192f5d9fcff5b742  libsexymm-0.1.7.tar.gz
cb01af4595000d9e192f5d9fcff5b742  libsexymm-0.1.7.tar.gz.1
See below - Package compiles and builds on at least one arch.
n/a - Package needs ExcludeArch
See below - BuildRequires correct
n/a - Spec handles locales/find_lang
OK - Spec has needed ldconfig in post and postun
n/a - Package is relocatable and has a reason to be.
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
n/a - -doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
OK - .pc files in -devel subpackage.
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.
n/a - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

SHOULD Items:

See Below - Should include License or ask upstream to include it.
See Below - Should build in mock.
OK - Should have subpackages require base package with fully versioned depend.

Issues:

1. The COPYING file included is the GPL, not the LGPL that this
package is distributed under. Perhaps ping upstream to include the
correct license file?

2. Doesn't build under mock for me, I get:
/usr/bin/ld: cannot find -lxml2
collect2: ld returned 1 exit status
make[5]: *** [libsexymm.la] Error 1
Possibly missing BuildRequires: libxml2-devel? With that added it builds.

3. Are these Requires in the main package needed:
Requires: gtkmm24
Requires: libsexy >= 0.1.7

and in the devel package:
Requires:       gtkmm24-devel

4. rpmlint says:

W: libsexymm one-line-command-in-%post /sbin/ldconfig
W: libsexymm one-line-command-in-%postun /sbin/ldconfig

Suggest: Might change your post and postun to just do -p /sbin/ldconfig

E: libsexymm-devel only-non-binary-in-usr-lib

These should be under /usr/include and /usr/share?

/usr/lib/libsexymm/include
/usr/lib/libsexymm/include/libsexymmconfig.h
/usr/lib/libsexymm/proc
/usr/lib/libsexymm/proc/m4
/usr/lib/libsexymm/proc/m4/convert.m4
/usr/lib/libsexymm/proc/m4/convert_libsexymm.m4

W: libsexymm-devel no-documentation

This one can be ignored.
Comment 3 Haïkel Guémar 2006-08-14 19:07:40 EDT
Hello, thanks for reviewing my package. 
* Here's the updated spec :
http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SPECS/libsexymm.spec
* The srpm :
http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SRPMS/libsexymm-0.1.7-3.src.rpm
* rpmlint output:
[kurosaki@localhost i386]$ rpmlint -i libsexymm-0.1.7-3.i386.rpm
[kurosaki@localhost i386]$ rpmlint -i libsexymm-devel-0.1.7-3.i386.rpm
W: libsexymm-devel no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.
* Issues:
1) About the license, I added a patch to correct the license file.
Debian developers were told by libsexymm maintainers (David Trowbridge &
Christian Hammond) that the license of the bindings is LGPL.
http://packages.debian.org/changelogs/pool/main/libs/libsexymm/libsexymm_0.1.7-3/libsexymm-dev.copyright
It has been fixed 2 weeks ago in libsexymm's svn but no release has been made
since, if needed, I'll mail libsexymm maintainers.
http://osiris.chipx86.com/svn/osiris-misc/trunk/libsexymm/ChangeLog
2) Right, it needs libxml2 to build.
3) Removed.
4) Corrected
Comment 4 Kevin Fenzi 2006-08-14 21:56:10 EDT
The rpmlint warning on no docs in the devel subpackage can be ignored in this 
case I think. 

Including a copy of the license is a SHOULD item in the review guidelines, not 
a MUST, so it's not a blocker either way. Your patch should be fine for now, 
glad they fixed it upstream. 

Everything else looks good to me, so this package is APPROVED. 
Don't forget to close this bug with NEXTRELEASE once it's been imported and 
built for devel. 
Comment 5 Haïkel Guémar 2006-08-16 05:21:48 EDT
The package has been imported into cvs. The builds succeeded.

Note You need to log in before you can comment on or make changes to this bug.